### A free/open-source library for quantitative finance

Classes
ql/pricingengines/swaption/jamshidianswaptionengine.hpp File Reference

Swaption engine using Jamshidian's decomposition. More...

`#include <ql/instruments/swaption.hpp>`
`#include <ql/models/shortrate/onefactormodel.hpp>`
`#include <ql/pricingengines/genericmodelengine.hpp>`
Include dependency graph for jamshidianswaptionengine.hpp:

## Classes

class | JamshidianSwaptionEngine
| Jamshidian swaption engine. More...

## Detailed Description

Swaption engine using Jamshidian's decomposition.